<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://xmlns.jcp.org/jsf/core">
<h:head>
	<title>Empresa</title>
</h:head>
<h:body>
	<ui:composition template="./main.xhtml">
		<ui:define name="content">


			<p:fieldset legend="Empresa Control" styleClass="container">
				<p:outputPanel class="ui-grid ui-grid-responsive">

					<div class="ui-grid-col-8">
						<h:form id="formCobros">
							<p:growl id="msj" showDetail="true"/>


							<h:panelGrid styleClass="card" style="width:97.5%;">
								<f:facet name="header">
									<h3>Registrar Empresa</h3>
								</f:facet>
								<h:panelGrid columns="4" styleClass="grids">
									<p:outputLabel value="Nombre de la empresa" />
									<p:inputText value="#{supervicionBean.empresa.nombre}" />
									<p:outputLabel value="Direccion" />
									<p:inputText value="#{supervicionBean.empresa.direccion}" />
								</h:panelGrid>
								<h:panelGrid columns="4" styleClass="grids">

									<h:outputText value="Municipio" />
									<p:selectOneMenu value="#{supervicionBean.muniID}"
										filter="true" filterMatchMode="startsWith">
										<f:selectItems value="#{supervicionBean.listmunicipios}"
											var="mu" itemLabel="#{mu.municipio}" itemValue="#{mu.idmuni}" />
									</p:selectOneMenu>

									<h:outputText value="TipoEmpresa" />
									<p:selectOneMenu value="#{supervicionBean.tipoID}"
										filter="true" filterMatchMode="startsWith">
										<f:selectItems value="#{supervicionBean.listTempresa}" var="t"
											itemLabel="#{t.tipoEmpresa}" itemValue="#{t.idtEm}" />
									</p:selectOneMenu>
									<br></br>
									<f:facet name="footer">
										<p:commandButton style="display:block; margin:auto;"
											icon="pi pi-save" value="Registrar Empresa" actionListener="#{supervicionBean.crearEmpresa()}" update="formCobros" />
									</f:facet>
								</h:panelGrid>
							</h:panelGrid>


							<h:panelGrid styleClass="card">
								<f:facet name="header">
									<h3>Empresas Actualmente Registradas</h3>
								</f:facet>
								<h:panelGrid styleClass="grids">
									<p:dataTable var="em" value="#{supervicionBean.listempresa}">
										<p:column headerText="Id" rendered="false">
											<h:outputText value="#{em.idempresa}" />
										</p:column>

										<p:column headerText="Empresa">
											<h:outputText value="#{em.nombre}" />
										</p:column>

										<p:column headerText="Direccion">
											<h:outputText value="#{em.direccion}" />
										</p:column>
										<p:column headerText="Acciones">
											<p:commandButton style="display:block; margin:auto;"
												icon="fa fa-check-square"
												actionListener="#{supervicionBean.removeEmpresa(em)}"
												update="formCobros" value="Remover" />
										</p:column>
									</p:dataTable>
								</h:panelGrid>
							</h:panelGrid>
						</h:form>
					</div>


					<div class="ui-grid-col-4">
						<h:form id="formPagos">
							<p:growl id="msj" showDetail="true"/>

							<h:panelGrid styleClass="card">
								<f:facet name="header">
									<h3>Tipos de Empresas</h3>
								</f:facet>
								<h:panelGrid columns="2" styleClass="grids">

									<h:outputText value="Tipo:" />
									<p:inputText value="#{supervicionBean.tempresa.tipoEmpresa}" />

								</h:panelGrid>


								<h:panelGrid columns="4" styleClass="grids">
									<p:dataTable var="tempresa"
										value="#{supervicionBean.listTempresa}">
										<p:column headerText="Id" rendered="false">
											<h:outputText value="#{tempresa.idtEm}" />
										</p:column>

										<p:column headerText="Tipos de empresas Actuales">
											<h:outputText value="#{tempresa.tipoEmpresa}" />
										</p:column>

									</p:dataTable>
									<f:facet name="footer">
										<p:commandButton style="display:block; margin:auto;"
											icon="pi pi-save" value="Agregar tipo Empresa" actionListener="#{supervicionBean.crearTipoEmpresa()}"
											update="formPagos,:formPagos" />
									</f:facet>
								</h:panelGrid>
							</h:panelGrid>
						</h:form>
					</div>
				</p:outputPanel>
			</p:fieldset>

			<ui:include src="/footer.xhtml" />
		</ui:define>
	</ui:composition>
</h:body>
</html>